Subject: Re: linux-next: build warning after merge of the pidfd tree

From: Christoph Hellwig <[email-masked]>
Date: Wed, 27 Jan 2021 08:12:25 +0100

On Wed, Jan 27, 2021 at 09:41:01AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the pidfd tree, today's linux-next build (powerpc
> ppc64_defconfig) produced this warning:
> 
> fs/xfs/xfs_ioctl32.c: In function 'xfs_file_compat_ioctl':
> fs/xfs/xfs_ioctl32.c:441:20: warning: unused variable 'mp' [-Wunused-variable]
>   441 |  struct xfs_mount *mp = ip->i_mount;
>       |                    ^~

So this is only used in an x86-specific section of the function.
Let me think what we can do about this.